function plottrials(dir,subdir,M)
%% dir == results/sim-x
%% subdir == mctrialsdir, e.g. fs2-ran

lmk=load([dir '/input/sim.lmk']);
plot(lmk(:,1),lmk(:,2),'k.','MarkerSize',4), hold on

for i=1:M
    odom=load([dir '/' subdir '/mc-' int2str(i-1) '.odom.phist']);
    plot(odom(:,1),odom(:,2),'Color',[0.5,0.5,0.5]);
end

truth=load([dir '/input/sim-truth.phist']);
plot(truth(:,1),truth(:,2),'k','LineWidth',2), hold on